* {
    margin: 0;
    padding: 0;
    font-family: 'Raleway', sans-serif;
}

body {
    /* background-color: #222831;    */
    
    border: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
    background: linear-gradient(to bottom right, #393e46, #222831, #111, black );
    background-image: url(../image/white2.jpg); 
    background-repeat: no-repeat; 
    background-position: center;
}
h1 {

    animation: fadeInDown 1.5s ease-in-out;
}
header{
    animation: fadeInUp 2s ease-in-out;
}
@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(50px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
@keyframes fadeInDown {
    0% {
        opacity: 0;
        transform: translateY(-50px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
/* 
.video-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
} */
#titleHead{
    background-color: transparent;
    width: 100%;
    position: relative;
    padding: 10px;
    margin-left: 10px;
    text-align: center;
    letter-spacing: 30px;
    font-size:30px;
    color: #393e46;
    margin-top: 100px;
    text-shadow: #ffffff;
}

header {
    background-color: #393e46;
    opacity: 0.3;
    width: 60%;
    padding: 20px 10px;
    text-align: center;
    margin: 0;
    border-radius: 50px;
    transition: transform 0.3s ease, background-color 0.3s ease;
    display: flex;
    justify-content: space-around;
    margin-top: 100px;
    margin-bottom: 80px;
}

header h1{
    color: white;
    letter-spacing: 25px;
}

header:hover{
    opacity: 0.5;
    transform: scale(1.02);
}

header ul {
    list-style: none;
}

header ul a {
    color: #ffffff;
    font-size: 1.5em;
    letter-spacing: 8px;
    text-decoration: none;
    font-weight: 500;
}

header ul a:hover {
    color: #00ADB5;
    transition: color 0.3s ease;
    opacity: 0.8;
}

/*  */

.nav ul {
    list-style: none;
    display: flex;
    justify-content: center;
    gap: 30px;
}   



.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: transparent;
    /* background: linear-gradient(to bottom right,#222831, #393e46);       */
    width: 90%;
    max-width: 1000px;
    flex-grow: 1;
    margin-top: 50px;
    margin-bottom: 50px;
    /* box-shadow: 0 8px 30px rgba(255,255,255, 0.5); */
    border-radius: 150px;
    padding: 30px;
    animation: fadeIn 1.5s ease-in-out;
    transition: transform 0.3s ease, background-color 0.3s ease;
}


.container h2 {
    font-size: 30px;
    font-weight:450;
    color: #222831;
    letter-spacing: 20px;
    line-height: 40px;
    
    animation: wave 5s infinite ease-in-out;
    animation-delay: calc(0.5s * var(--i));
    padding: 20px;
    padding-bottom: 0;
    text-align: center;
}

.container p{
    color: #222831;
    font-size: 15px;
    font-weight: 300;
    letter-spacing: 7px;
    text-align: justify;
    margin: 0;
}

.isi{
    width: 100%;
    /* background-color: #00ADB5; */
    padding: 5px, 20px;
    margin-top: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.isi h3{
    max-width: 40%;
    color: #222831;
    font-size: 20px;
    font-weight: 500;
    letter-spacing: 5px;
    text-align: justify;
    border: #222831 solid 2px;
    border-radius: 50px;
    padding: 10px;
}
/* canvas */

#canvasContainer {
    border: 4px solid #222831;
    width: 100%;
    max-width: 1000px;
    height: 700px;
    position: relative;
    margin-top: 20px;
    box-shadow: 0 8px 30px rgba(39, 40, 49, 0.5);
    border-radius: 20px;
}

#drawingCanvas {
    width: 100%;
    height: 100%;
    background-color: transparent;
    position: absolute;
    border-radius: 20px;
    cursor: crosshair;

}


#buttonsContainer {
    margin-top: 20px;
    background-color: transparent;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 100px;
    padding: 30px;
    /* width: 100%; */
}

.button {
    display: flex;
    padding: 20px;
    cursor: pointer;
    border: none;
    background-color: transparent;
    color: #ffffff;
    font-size: 1.2em;
    text-align: center;
    width: 150px;
    height: 150px;
    border-radius: 50%;
    box-shadow: 0 8px 30px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    justify-content: center;
    align-items: center;
}

.button:hover {
    transform: scale(1.1);
    box-shadow: 0 8px 30px rgba(39, 40, 49, 0.5);
}
/* ------------------------------------------- */

footer {
    background-color: transparent;
    height: 20%;
    width: 100%;
    padding: 40px 20px;
    text-align: center;
    margin: 0;
    color: #393e46;
    margin-bottom: 50px;
    margin-top: 50px;
}

/* Animasi */
@keyframes parabolicMotion {
    0% {
        transform: translate(-10px, 10px); 
    }
    50% {
        transform: translate(20px, -40px); /* Kembali ke sumbu x */
    }
    100% {
        transform: translate(40px, 0); /* Kembali ke sumbu x */
    }
}

@keyframes moveNortheast {
    0% {
        transform: translate(0, 0); 
    }
    100% {
        transform: translate(30px, -30px); 
    }
}

@keyframes wave {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-15px);
    }
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@keyframes moveBackAndForth {
    0% {
        transform: translateX(0);
    }
    50% {
        transform: translateX(100px); 
    }
    100% {
        transform: translateX(0);
    }
}

@keyframes fadeIn {
    0% { opacity: 0; transform: translateY(20px); }
    100% { opacity: 1; transform: translateY(0); }
}

@keyframes colorChange {
    0% {
        fill: #111; 
    }
    50% {
        fill: #00ADB5;
    }
    100% {
        fill: #111; 
    }
}

@keyframes pour {
    0%, 100% {
        transform: rotate(0deg);
    }
    50% {
        transform: rotate(30deg);
    }
}

@keyframes scaleUpDown {
    0%, 100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2); 
    }
}

@media (max-width: 1024px) {
    body{
        width: 100%;
    }
    header{
        width: 600px;
    }
    header h1 {
        font-size: 2em;
    }
    .container {
        width: 80%; 
        /* max-width: 800px; */
        height: 80%;

    }
    .isi h3{
        max-width: 20%;
        font-weight: 500;
        font-size: 15px;
        text-align: center;
    }
    .deskripsi .read{
        background-color: #111;
    }
}

@media (max-width: 768px) {
    .container {
        width: 95%; 
        max-width: 700px; 
        margin: 20px auto; 
        padding: 15px;
    }

    header h1 {
        font-size: 2em; 
        letter-spacing: 8px;
    }

    .container h2{
        font-size: 20px;
        width: 180px;
    }

    .isi .tit{
        font-size: 17px;
        text-align: center;
    }

    .isi {
        grid-template-rows: 1fr;
        gap: 15px;
        width: 100px;
    }

    .materi {
        margin-left: 20px;
        padding: 10px;
        border-radius: 100px;
    }
}

@media (max-width: 540px) {
    header h1 {
        font-size: 1.8em; 
        letter-spacing: 3px;
    }

    .isi {
        grid-template-rows: 1fr;
        gap: 10px;
        width: 400px;
    }

    .container {
        padding: 10px;
    }

    .materi {
        border-radius: 50px;
        padding: 10px;
    }

    .nav ul {
        flex-direction: column;
        gap: 5px;
    }
}

@media (max-width: 320px) {
    
    header h1 {
        font-size: 1.8em; 
        letter-spacing: 3px;
    }

    .isi {
        grid-template-rows: 1fr;
        gap: 10px;
        width: 400px;
    }

    .container {
        padding: 10px;
    }

    .materi {
        border-radius: 50px;
        padding: 10px;
    }
    .read{
        margin-bottom: 20px;
    }
    .nav ul {
        flex-direction: column;
        gap: 5px;
    }
}
